//
//***********************************************************************************//
//*	Project:																		*//
//*																					*//
//*	File:		main.c			 													*//
//*	Version:	1.0																	*//
//*																					*//
//*	Author:		Bob Marlowe															*//
//*	(C) 2015	Jörg Meier Software - Entwicklung briefe@jmeiersoftware.de			*//
//***********************************************************************************//
//***********************************************************************************//
//*																					*//
//*		Principles of Operation														*//
//*																					*//
//*		Testing printf() and scanf()												*//
//*																					*//
//*																					*//
//*																					*//
//*																					*//
//***********************************************************************************//

//***********************************************************************************//
//**************** Libraries ********************************************************//
//***********************************************************************************//
#include <project.h>
//#include <Main.h>
#include <stdio.h>
#include <Console.h>
//#include <PuTTY.h>
//***********************************************************************************//
//**************** Definitions and Macros *******************************************//
//***********************************************************************************//
#define	FALSE					(0)											//	Define logical false and true values
#define	TRUE					(!FALSE)									//	
#define	forever					TRUE										//	I like that for infinite loops

//	Bit handling Macros
#define BitMask(BitNum)			(0x01ul << BitNum)							//	Generating a mask pattern with a set bit at required position
#define TestBit(Value,BitNum)	(Value & BitMask(BitNum))					//	Return bit at given position
#define IsBitSet(Value,Bit)		(?TestBit(Value,BitNum)TRUE:FALSE)			//	Return true or false when bit at position is set
#define SetBit(Value,BitNum)	(Value |=  BitMask(BitNum))					//	Set bit in variable at given position
#define ClrBit(Value,BitNum)	(Value &= ~BitMask(BitNum))					//	Clear bit in variable at given position

#define	Wait(x)																//	To increase readability
#define	ActiveHigh				TRUE
#define LEDOFF					!LEDON	
#define LEDON					!ActiveHigh									//	LEDs are active low in this application

//***********************************************************************************//
//******************* Structs, Typedefs and Enums ***********************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//******************* Data Area *****************************************************//
//***********************************************************************************//
char Buffer[80];

//***********************************************************************************//
//****************** Prototypes *****************************************************//
//***********************************************************************************//
// None yet

//***********************************************************************************//
//**************** Program Area *****************************************************//
//***********************************************************************************//

void InitializeSystem(void)								//	Start all components, initialize  variables, perform self-test
{
	CyGlobalIntEnable;									//	Enable interrupt handling
	PuTTY_Start();										//	Start communication with PuTTY 
	Console_Start((ByteReady)PuTTY_SpiUartGetRxBufferSize,(GetByte)PuTTY_UartGetByte,(PutByte)PuTTY_SpiUartWriteTxData);
	PuTTY_UartPutString("PuTTY Output\n\r\n");
	printf("PuTTY Output by printf()\n\r\n");
}
//***********************************************************************************//

int main()
{
	InitializeSystem();
	while(forever)
	{
		printf("->");									//	Prompt for input
		scanf("%s",Buffer);								//	Read a string termination with <return>
		printf("\n\n\r->%s<- was entered\n\r", Buffer); //	Display the string
	}
}
//***********************************************************************************//



